Summary:	Hardware monitoring tools.
Name:		lm_sensors
Group:		Applications/System
License:	GPL
Version:	2.9.1
Release:	2
Source0:	http://secure.netroedge.com/~lm78/archive/lm_sensors-%{version}.tar.gz
Patch0:		lm_sensors-2.5.5-glibc22.patch
Patch1:		lm_sensors-2.5.5-csb5.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The lm_sensors package includes a collection of modules for general SMBus
access and hardware monitoring.  NOTE: this requires special support which
is not in standard 2.2-vintage kernels.

%files
  %defattr(-,root,root)
  %doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING doc/* README
  %doc %{_mandir}/man*/*
  %attr(0640,root,admin)	%config %{_sysconfdir}/sensors.conf
  %attr(0510,root,admin)	%{_bindir}/*
  %attr(0510,root,admin)	%{_sbindir}/*
  %attr(0555,root,root)		%{_libdir}/*.so.*

%package devel
Summary:	Development files for programs which will use lm_sensors.
Group:		Development/System
Requires:	lm_sensors = %{version}

%description devel
The lm_sensors-devel package includes a header files and libraries for use
when building applications that make use of sensor data.

%files devel
  %defattr(-,root,root)
  %{_includedir}/sensors
  %attr(0444,root,root)		%{_libdir}/lib*.a
  %attr(0555,root,root)		%{_libdir}/lib*.so

%prep
%setup -q 
%patch1 -p1

%build
  make user

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} MANDIR=%{_mandir} LIBDIR=%{_libdir} user_install

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_includedir}/linux/i2c-dev.h
  rm -f $RPM_BUILD_ROOT/%{_includedir}/linux/sensors.h

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.1, Release 2
  - Remove ExclusiveArch restriction.
  - Set LIBDIR at install-time.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.9.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
